// $RCSfile: corpse.hpp,v $     $Date: 2010/07/31 08:44:40 $     $Revision: 1.3 $
// Part of Bylins http://www.mud.ru

#ifndef CORPSE_HPP_INCLUDED
#define CORPSE_HPP_INCLUDED

#include "conf.h"
#include "sysdep.h"
#include "structs.h"

void make_arena_corpse(CHAR_DATA * ch, CHAR_DATA * killer);
OBJ_DATA *make_corpse(CHAR_DATA * ch);

namespace GlobalDrop
{

void init();
void save();
void renumber_obj_rnum(int rnum);
bool check_mob(OBJ_DATA *corpse, CHAR_DATA *ch);

//       ( )
const int SAVE_PERIOD = 10;

} // namespace GlobalDrop

#endif // CORPSE_HPP_INCLUDED
