// #define DEBUG

/* ************************************************************************
*   File: zerkalo.cpp                            Part of Zerkalo MUD      *
*  Usage: prool subprograms for Zerkalo MUD                               *
*                                                                         *
*  Copyleft 2011-2012, Prool                                              *
*                                                                         *
*  Author: Prool, proolix@gmail.com, http://mud.kharkov.ru                *
************************************************************************ */

#include "interpreter.h"
#include "comm.h"
#include "db.h"
#include "handler.h"
#include "utils.h"
#include "structs.h"
#include "conf.h"
#include "sysdep.h"
#include "dg_scripts.h"
//#include "prool.h"
#include "char.hpp"
#include <sstream>

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include "zerkalo.h"

#define PERSLOG_FILE "../log/perslog.txt"

void perslog (char *verb, const char *pers)
{FILE *fp;
fp=fopen(PERSLOG_FILE, "a");
fprintf(fp,"%s %s %s\n",ptime(),pers,verb);
//printf("%s %s %s\n",ptime(),pers,verb);
fclose(fp);
}

char *ptime(void) //  :       
	{
	char *tmstr;
	time_t mytime;

	mytime = time(0);

	tmstr = (char *) asctime(localtime(&mytime));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	return tmstr;

	}

#define PUT_OBJ(obj_number) {r_num = real_object(obj_number); if (r_num==-1) {send_to_char("&R  -          !&n :(\r\n",ch); return;} obj = read_object(r_num, REAL); GET_OBJ_MAKER(obj) = GET_UNIQUE(ch); obj_to_char(obj, ch); act("$n $g    $o3!", FALSE, ch, obj, 0, TO_ROOM); act("     $o3.", FALSE, ch, obj, 0, TO_CHAR); /* load_otrigger(obj); obj_decay(obj); */ olc_log(": %s load obj %s #%d", GET_NAME(ch), GET_OBJ_ALIAS(obj), obj_number);}

#define DUH_INSTR " ,      : , , , , , , , , , , , \r\n\r\n :\r\n \r\n"

ACMD(do_duhmada)
{
	mob_rnum r_num;
	OBJ_DATA *obj;

// char str[100];
// sprintf(str,"`%s'",argument);
// send_to_char(str, ch);

if (*argument==0)
	{
	send_to_char(DUH_INSTR, ch);
	}
else
	{
	argument++;
	if (!strcmp(argument,"")) PUT_OBJ(2200 /*125*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2201/*115*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2202/*112*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2203/*121*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2204/*122*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2205/*126*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2206/*127*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2207/*113*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2208/*114*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2209/*109*/)
	else if (!strcmp(argument,"")) PUT_OBJ(2214/*2045*/)
	else if (!strcmp(argument,"")) {PUT_OBJ(693); PUT_OBJ(692); PUT_OBJ(695); PUT_OBJ(694);}
	else
		{
		send_to_char("     !   .\r\n\r\n",ch);
		send_to_char(DUH_INSTR, ch);
		}
	}

}

char *nslookup(const char *ip) // prool
// example: input "217.12.192.65", returned output "www.itl.ua"
{
struct in_addr ip0;
struct hostent *hp;

if (!inet_aton(ip, &ip0))
	/* printf("can't parse IP address %s", ip) */;

if ((hp = gethostbyaddr((const char *)&ip0, sizeof ip0, AF_INET)) == NULL)
	/* printf("no name associated with %s", ip) */;

// printf("name associated with %s is %s\n", ip, hp->h_name);

#ifdef CYGWIN
return (char *)((hp!=NULL)?hp->h_name:(char *)"*");
#else
return (hp!=NULL)?hp->h_name:(char *)"*";
#endif
}


